# std::allocator::address

From cppreference.com
< cpp‎ | memory‎ | allocator

pointer address( reference x ) const; |  | (deprecated since C++17)
const_pointer address( const_reference x ) const; |  | (deprecated since C++17)

Returns the actual address of `x` even in presence of overloaded operator&.

### Parameters

x | - | the object to acquire address of

### Return value

The actual address of `x`.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/address&oldid=91546"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template